<?php
/*
* READ FIRST read-me.txt FILE!!!
* Converter tested on: PHP 5.3.3, Apache 2.2.3
*/
$sDirFrom = 'db_old/'; // here put all files from Quick.Cart v3.x
$sDirTo   = 'db/'; // directory with database from Quick.Cart v4.x

if( !is_dir( $sDirFrom ) )
  echo '<h2><center>NO DIRECTORY - '.$sDirFrom.'</center></h2>';

$aArrays['pages.php'] = Array( 0 => 0, 1 => 1, 2 => 2, 3 => 3, 4 => null, 5 => 5, 6 => 6, 7 => 7, 8 => 8, 9 => 9, 10 => 4 );
$aArrays['pages_ext.php'] = Array( 0 => 0, 1 => 4, 2 => 5, 3 => 6, 4 => 7, 5 => 3, 6 => 2, 7 => 1 );
$aArrays['pages_files.php'] = Array( 0 => 0, 1 => 1, 2 => 2, 3 => 4, 4 => 5, 5 => 6, 6 => 7, 7 => 8, 8 => 3 );
$aArrays['products.php'] = Array( 0 => 0, 1 => 1, 2 => null, 3 => 2, 4 => 3, 5 => 4, 6 => 5, 7 => 6 );
$aArrays['products_files.php'] = Array( 0 => 0, 1 => 1, 2 => 2, 3 => 4, 4 => 5, 5 => 6, 6 => 7, 7 => 8, 8 => 3 );

foreach( new DirectoryIterator( $sDirFrom ) as $oFileDir ) {
  if( $oFileDir->isFile( ) && strstr( $oFileDir->getFilename( ), '.php' ) && !strstr( $oFileDir->getFilename( ), '.def' ) ){
    $sLang = substr( $oFileDir->getFilename( ), 0, 2 );
    $sFileNoLang = substr( $oFileDir->getFilename( ), 3 );
    if( isset( $aArrays[$sFileNoLang] ) )
      convertFile( $oFileDir->getFilename( ), $aArrays[$sFileNoLang] );
    else{
      if( is_file( $sDirTo.$oFileDir->getFilename( ) ) ){
        unlink( $sDirTo.$oFileDir->getFilename( ) );
        copy( $sDirFrom.$oFileDir->getFilename( ), $sDirTo.$oFileDir->getFilename( ) );
        chmod( $sDirTo.$oFileDir->getFilename( ), 0777 );
      }
    }
  }
} // end foreach

/**
* Function convert data from file A to file B
* @return null
* @param string $sFileName
* @param array $aArrays
*/
function convertFile( $sFileName, $aArrays ){
  global $sDirFrom, $sDirTo;
  $aFile = file( $sDirFrom.$sFileName );
  $rFile = fopen( $sDirTo.$sFileName, 'w' );
  chmod( $sDirTo.$sFileName, 0777 );
  $iCount = count( $aFile );
  $iCountArrays = count( $aArrays );
  for( $i = 0; $i < $iCount; $i++ ){
    $aFile[$i] = trim( $aFile[$i] );
    if( $i == 0 ){
      fwrite( $rFile, $aFile[$i]."\n" );
    }
    else{
      $aExp = explode( '$', $aFile[$i] );
      $aSave = null;
      for( $iA = 0; $iA < $iCountArrays; $iA++ ){
        if( isset( $aExp[$aArrays[$iA]] ) )
          $aSave[$iA] = $aExp[$aArrays[$iA]];
        else
          $aSave[$iA] = '';        
      } // end for
      fwrite( $rFile, implode( '$', $aSave ).'$'."\n" );
    }
  } // end for
  fclose( $rFile );
} // end function convertFile
?>
<center><h1>DONE</h1>NOW YOU CAN USE YOUR QUICK.CART<br /><br />NOW YOU SHOULD DELETE THIS FILE "convert_v3.x-v4.x.php"</center>
